
 LinHES - Feature # 1017: Modify LinHES theme to show season/episode number in recordings screen

Status: Closed Priority: Normal
Author: Heilig Category: Packages: Core
Created: 10/21/2017 Assignee: brfransen
Updated: 10/30/2017 Due date:
Description: I want to propose a modification to the excellent LinHES theme:

In the recordings view, it would be nice to see the season/episode number for shows in the list (instead of in 
details view only), so it is possible to quickly scan available episodes.

I created a patch to show season/episode number instead of the recording date (which personally I am not 
that much interested in).

For shows where season/episode are available, they are displayed in place of the recording date, otherwise 
the recording date is displayed.

The patch to display season/episode number is here:
<pre>
diff -Nur LinHES/recordings-ui.xml LinHES-new/recordings-ui.xml
--- LinHES/recordings-ui.xml	2017-10-21 13:23:43.000000000 +0200
+++ LinHES-new/recordings-ui.xml	2017-10-21 14:49:40.000000000 +0200
@@ -209,8 +209,12 @@
                         <area>8,0,694,30</area>
                         <font state="normal">basesmallverylightgrey</font> 
                    </textarea>
-                    <textarea name="shortstartdate" from="titlesubtitle">
-                        <area>720,0,80,30</area>
+                    <textarea name="00x00" from="titlesubtitle">
+                        <area>720,0,90,30</area>
+                        <align>right,vcenter</align>
+                    </textarea>
+                    <textarea name="shortstartdate" from="titlesubtitle"  depends="!00x00">
+                        <area>720,0,90,30</area>
                         <align>right,vcenter</align>
                     </textarea>
                     <textarea name="filesize_str" from="base_text_font_state_extrasmall">
@@ -228,8 +232,12 @@
                         <font state="normal">basesmallyellow</font>
                         <align>vcenter</align>
                     </textarea>
-                    <textarea name="shortstartdate" from="titlesubtitle">
-                        <area>720,2,80,24</area>
+                    <textarea name="00x00" from="titlesubtitle">
+                        <area>720,2,90,24</area>
+                        <align>right,vcenter</align>
+                    </textarea>
+                    <textarea name="shortstartdate" from="titlesubtitle"  depends="!00x00">
+                        <area>720,2,90,24</area>
                         <align>right,vcenter</align>
                     </textarea>
                     <textarea name="filesize_str" from="base_text_font_state_extrasmall">
</pre>
History
10/30/2017 12:39 pm - brfransen
- Status changed from New to Closed

- Assignee set to brfransen

- Category changed from Other to Packages: Core

Thanks for the request.

I greatly prefer the short recording date for the selection list as it is always available. For consistency, I avoid changing data fields like this unless there 
is a clear context change.
